package jp.sourceforge.orangesignal.trading.strategy;

import static org.junit.Assert.assertTrue;
import jp.sourceforge.orangesignal.trading.strategy.StrategyStatus;

import org.junit.Test;

public class StrategyStatusTest {

	@Test
	public void testValues() {
		final StrategyStatus[] values = StrategyStatus.values();
		for (final StrategyStatus value : values) {
			switch (value) {
				case NEXT:
				case FILTER:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
